from django.db import connection

def customer_data(CUS_NO,CUS_NO_NAME,OBJ_ID,DATE):
    """
    :param CUS_NO: 客户/厂商编码
    :param CUS_NO_NAME: 客户/厂商名称
    :param OBJ_ID: 客户厂商类别（1：客户，2：厂商）
    :return:
    """
    with connection.cursor() as cursor:
        row_cus_no = cursor.execute("SELECT COUNT(*) FROM CUST WHERE CUS_NO=%s", [CUS_NO]).fetchall()[0][0]
        if row_cus_no == 0:
            cursor.execute("INSERT INTO CUST(CUS_NO,[NAME],OBJ_ID,USR1,CHK_MAN,CLS_DATE,SYS_DATE,DEP)VALUES (%s,%s,%s,%s,%s,%s,%s,'0000')", [CUS_NO, CUS_NO_NAME,OBJ_ID,'ADMIN','ADMIN',DATE,DATE])
    return "ok"
